Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Protected Member Functions
Argus::SensorMode Class Reference

An object representing the sensor mode of a CameraDevice. More...

`#include <CameraDevice.h>`

Inheritance diagram for Argus::SensorMode:

List of all members.

## Protected Member Functions

| ~SensorMode ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()

## Additional Inherited Members

Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.

## Detailed Description

An object representing the sensor mode of a CameraDevice.

See also:
  ICameraProperties::getSensorModes().

Definition at line 113 of file CameraDevice.h.

## Constructor & Destructor Documentation

Argus::SensorMode::~SensorMode | ( |  | ) |

inlineprotected

Definition at line 116 of file CameraDevice.h.

The documentation for this class was generated from the following file:

- include/Argus/CameraDevice.h